List workbench simulations for a training event

View as Markdown

List workbench simulations created for a specific training event.

Required roles (any one): air_instructor, air_trainee

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this training.

Query parameters

assigned_tostringOptional
Filter by the email of the user assigned to the workbench simulation. This will match creator unless the assignee has never logged into DSX Air before.
creatorstringOptional
Filter by the username of the simulation creator.
display_namestringOptional
limitintegerOptional
Number of results to return per page.
namestringOptional
ngc_group_idstringOptional
offsetintegerOptional
The initial index from which to return the results.
orderingstringOptional
Which field to use when ordering the results.
searchstringOptional
A search term.
training_simulationstringOptionalformat: "uuid"
workbenches_createdbooleanOptional

Response

countinteger
resultslist of objects
nextstring or nullOptionalformat: "uri"
previousstring or nullOptionalformat: "uri"

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error